# escape=`
FROM mcr.microsoft.com/windows/servercore:ltsc2022

ADD https://aka.ms/vs/15/release/channel C:\docker\visualstudio.release.chman
ADD https://aka.ms/vs/15/release/vs_buildtools.exe C:\docker\vs_buildtools.exe

RUN C:\docker\vs_buildtools.exe --quiet --wait --norestart --nocache `
    --channelUri C:\docker\visualstudio.release.chman `
    --installChannelUri C:\docker\visualstudio.release.chman `
    --add Microsoft.VisualStudio.Workload.VCTools `
    --add Microsoft.VisualStudio.ComponentGroup.NativeDesktop.WinXP `
    --includeRecommended `
    --installPath C:\msvc

RUN setx path "%path%;C:\msvc\Common7\IDE\CommonExtensions\Microsoft\CMake\CMake\bin"
RUN setx path "%path%;C:\msvc\MSBuild\15.0\Bin"

VOLUME C:\source\
WORKDIR C:\source\
ENTRYPOINT ["cmd", "/k C:\\msvc\\Common7\\Tools\\VsDevCmd.bat"]
